# atticinst

![](https://img.shields.io/badge/written%20in-Bash-blue)

An installer for the backup program attic.

Run the script on the source and destination machines. The server will generate a new restricted user, set up attic, and prompt to exchange keys with the client. A sample backup script is installed on the client with everything preconfigured for unattended operation.

Includes the option to encrypt the attic key with a passphrase and store it on the server.

Tags: sysadmin

## Usage


```
Usage:
  atticinst [options..]

Options:
 --client            Install as client
 --server            Install as server
                       Optionally accepts ATTICINST_USERNAME as an environment
                       variable to control the generated username.
 --dependencies      Install dependencies only
 --uninstall-client  Uninstall client from current user
 --backup-config     Re-prompt to backup client configuration
 --is-installed      Check for existence of metadata directory, sets 0/1 error
 --version           Display md5sum of installer script
 
 --munin-install     Install client plugins for munin-node
 --munin-uninstall   Uninstall client plugins for munin-node 
 --munin-{command} ["config"]  Run munin command
 
Directories:
 ~/.atticman/        Metadata directory (override with ATTICINST_DIR)
```


## Changelog

2014-11-14: r97
- Feature: Munin-node integration
- Feature: Allow user-specified passphrases
- Feature: Allow custom metadata directory
- Feature: Add warning timer on uninstall in case of misconfigured metadata directory
- Feature: Add serverside logs of connection details and start/stop times
- Feature: `--is-installed` and `--version` options
- Enhancement: Copy installer in metadata directory
- Remove unneeded passphrase.raw for autogenerated passwords
- Reduce length of autogenerated passphrases
- Fix not detecting i486 uname
- [⬇️ atticinst_r97.tar.gz](dist-archive/atticinst_r97.tar.gz) *(4.86 KiB)*


2014-08-25: r66
- Feature: Use attic static binaries instead of pip-3.2
- Feature: Option to backup client configuration at any time
- Enhancement: Verify hash for attic static binaries on amd64 and i386/i686
- Enhancement: Support entering host:port syntax instead of prompting to edit `.ssh/config`
- Enhancement: Guard against blank user/host entry
- [⬇️ atticinst_r66.tar.gz](dist-archive/atticinst_r66.tar.gz) *(3.42 KiB)*


2014-08-25: r40
- Feature: Support setting custom username
- [⬇️ atticinst_r40.tar](dist-archive/atticinst_r40.tar) *(10.00 KiB)*


2014-08-24: r36
- Initial public release
- [⬇️ atticinst_r36.tar](dist-archive/atticinst_r36.tar) *(10.00 KiB)*


## See Also

Attic homepage: https://attic-backup.org/
Attic on GitHub: https://github.com/jborg/attic
